Page MenuHomePhabricator

Change Linux Platform to support non-host Linux architectures
ClosedPublic

Authored by ted on Mar 30 2015, 2:50 PM.

Details

Reviewers
vharron
clayborg
Summary

The Linux Platform currently will only say the Host architecture is supported. This patch retains that behavior for the Host Platform, but adds a list of architectures for the Remote Platform.

Diff Detail

Event Timeline

ted updated this revision to Diff 22910.Mar 30 2015, 2:50 PM
ted retitled this revision from to Change Linux Platform to support non-host Linux architectures.
ted updated this object.
ted edited the test plan for this revision. (Show Details)
ted added reviewers: clayborg, vharron.
ted added a subscriber: Unknown Object (MLST).
vharron edited edge metadata.Mar 30 2015, 2:56 PM

Might as well throw "mips" in there while you're at it.

clayborg accepted this revision.Mar 30 2015, 3:11 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Mar 30 2015, 3:11 PM
ted updated this revision to Diff 22916.Mar 30 2015, 3:51 PM
ted edited edge metadata.

Added mips.

ted added a comment.Apr 3 2015, 2:58 PM

Friendly Ping

Thanks for adding MIPS! LGTM

ted closed this revision.Apr 10 2015, 2:25 PM
flackr added a subscriber: flackr.May 11 2015, 3:50 PM

Hey, do we need to enumerate all of the architectures? I put up http://reviews.llvm.org/D9672 to get non x86 working again where it queries the remote PlatformGdbServer if not the host. WDTY?